Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito
Class BDDMockito.BDDStubberImpl

    java.lang.Object
      org.mockito.BDDMockito.BDDStubberImpl

All Implemented Interfaces:
  BDDMockito.BDDStubber

Enclosing class:
  BDDMockito

    public static class BDDMockito.BDDStubberImpl

extends java.lang.Object
implements BDDMockito.BDDStubber

Constructor Summary
`BDDMockito.BDDStubberImpl(Stubber mockitoStubber)`

Method Summary
`
`<T> T`
` | `given(T mock)` See original `Stubber.when(Object)`
`BDDMockito.BDDStubber` | `willAnswer(Answer answer)` See original `Stubber.doAnswer(Answer)`
`BDDMockito.BDDStubber` | `willCallRealMethod()` See original `Stubber.doCallRealMethod()`
`BDDMockito.BDDStubber` | `willNothing()` See original `Stubber.doNothing()`
`BDDMockito.BDDStubber` | `willReturn(java.lang.Object toBeReturned)` See original `Stubber.doReturn(Object)`
`BDDMockito.BDDStubber` | `willThrow(java.lang.Class<? extends java.lang.Throwable> toBeThrown)` See original `Stubber.doThrow(Class)`
`BDDMockito.BDDStubber` | `willThrow(java.lang.Throwable toBeThrown)` See original `Stubber.doThrow(Throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BDDMockito.BDDStubberImpl

    public BDDMockito.BDDStubberImpl(Stubber mockitoStubber)

Method Detail

### given

    public <T> T given(T mock)

  Description copied from interface: `BDDMockito.BDDStubber`
  See original `Stubber.when(Object)`

  Specified by:
    `given` in interface `BDDMockito.BDDStubber`

### willAnswer

    public BDDMockito.BDDStubber willAnswer(Answer answer)

  Description copied from interface: `BDDMockito.BDDStubber`
  See original `Stubber.doAnswer(Answer)`

  Specified by:
    `willAnswer` in interface `BDDMockito.BDDStubber`

### willNothing

    public BDDMockito.BDDStubber willNothing()

  Description copied from interface: `BDDMockito.BDDStubber`
  See original `Stubber.doNothing()`

  Specified by:
    `willNothing` in interface `BDDMockito.BDDStubber`

### willReturn

    public BDDMockito.BDDStubber willReturn(java.lang.Object toBeReturned)

  Description copied from interface: `BDDMockito.BDDStubber`
  See original `Stubber.doReturn(Object)`

  Specified by:
    `willReturn` in interface `BDDMockito.BDDStubber`

### willThrow

    public BDDMockito.BDDStubber willThrow(java.lang.Throwable toBeThrown)

  Description copied from interface: `BDDMockito.BDDStubber`
  See original `Stubber.doThrow(Throwable)`

  Specified by:
    `willThrow` in interface `BDDMockito.BDDStubber`

### willThrow

    public BDDMockito.BDDStubber willThrow(java.lang.Class<? extends java.lang.Throwable> toBeThrown)

  Description copied from interface: `BDDMockito.BDDStubber`
  See original `Stubber.doThrow(Class)`

  Specified by:
    `willThrow` in interface `BDDMockito.BDDStubber`

### willCallRealMethod

    public BDDMockito.BDDStubber willCallRealMethod()

  Description copied from interface: `BDDMockito.BDDStubber`
  See original `Stubber.doCallRealMethod()`

  Specified by:
    `willCallRealMethod` in interface `BDDMockito.BDDStubber`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD